## Wayland compositor specific support

Wayland compositor specific support — Wayland compositor specific APIs

## Functions

void | clutter_wayland_set_compositor_display ()

## Description

Clutter provides some Wayland specific APIs to aid in writing Clutter based compositors.

The Clutter Wayland compositor API is available since Clutter 1.8

## Functions

### clutter_wayland_set_compositor_display ()

    void
    clutter_wayland_set_compositor_display
                                   (void *display);

This informs Clutter of your compositor side Wayland display object. This must be called before calling `clutter_init()`.

#### Parameters

display | A compositor side struct wl_display pointer |

Since 1.8

Stability Level: Unstable

## Types and Values